On Mar 29, 2006, at 7:42 AM, Keith Pitty wrote:

> Does anybody know of a dmg file for 1.8.4?

This was created using darwinports -- port mpkg ruby, which creates  
an installer for ruby and all it's dependencies. It will install to / 
opt/local. If you ever plan on installing darwinports, be sure to  
remove this. Note: I've never tested doing this, but I am 90% sure it  
will work.

Packaged:
* libiconv-1.10
* openssl-0.9.8a
* readline-5.0.005
* zlib-1.2.3
* ruby-1.8.4

Everything should work, unlike the ruby apple ships. ;)

http://generalconsumption.org/ruby/ruby-1.8.4.dmg

Regards,
-- Daniel